Skip to main content
  • You can call the Unstructured API with the Unstructured Python SDK and with standard REST clients (such as cURL and Postman).
  • The Unstructured API has a collection of Transform operations that enable you to programmatically automate the Unstructured Transform service. Transform quickly turns any locally hosted document into structured data that is ready for your apps, databases, vector stores, AI tools, and agents.
You call the Transform operations in this sequence:
  1. Create a job by calling create_job (Python), or POST /jobs/ (REST), passing in one or more of your locally hosted files as input to the Unstructured Transform service. This call’s response will contain a job ID, and a file ID for each input file. You will use the job ID to monitor the job in the next phase. After the job is successfully completed, you will use the file IDs to download Transform’s output results in the last phase.
  2. Use the job ID to call get_job (Python), or GET /jobs/(job_id) (REST). Keep calling this operation until Transform indicates that the job has successfully completed.
  3. After the job has successfully completed, download Unstructured’s output results by calling download_job_output (Python), or GET /jobs/(job_id)/download (REST), passing in the job ID and the first file ID. If you had more than one input file, keep calling this operation for each remaining file ID to get all of the output results in the batch.

Next steps

Transform quickstart

Use Python or cURL to start calling the Transform operations within just a few minutes.

Developer guide overview

Learn more about Unstructured API concepts and how to use the API.

API reference

Get the full API reference, along with code snippets for Python and cURL.

Cookbooks and samples

Get complete notebooks and end-to-end code applications for Python and cURL.